## python-morph 0.1.3

=== Makefile ===
PKGNAME = morph
include Makefile.python

=== debian/changelog ===
python-morph (0.1.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/copyright: Use https protocol in Format field
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Add remove-failing-test_xform_combined.patch (Closes: #950045).

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Feb 2020 09:58:44 +0100

python-morph (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #900697)

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Jun 2018 13:25:12 +0200

=== debian/control ===
Source: python-morph
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 80~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-nose,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-morph
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-morph.git
Homepage: http://github.com/metagriffin/morph

Package: python3-morph
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: collection of routines to help identify and morph objects - Python 3.x
 Morph provides a bunch of functions to help identify object type:
  * isstr()
  * isseq()
  * isdict()
 .
 Morph’s pick and omit functions allow you to extract a set of keys (or
 properties) from a dict-like object. The morph.xform helper function can be
 used to recursively transform all the items in a list & dictionary tree
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/metagriffin/morph
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=. PYTHON=$$pyvers python$$pyvers setup.py test ; \
	done
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/morph/morph-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
